This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 501885 - Doesn't detect missing Java, --with-java-home=no should not be needed
Doesn't detect missing Java, --with-java-home=no should not be needed
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 04:37 EDT by Richard W.M. Jones
Modified: 2010-03-27 06:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-05-21 04:37:23 EDT
The configure script does not detect that Java is missing.

If Java is missing you have to configure with:

  ./configure --with-java-home=no

but this shouldn't be necessary.  It should detect that
Java is missing and configure the Java bindings out.
Comment 1 Mark McLoughlin 2009-05-25 10:50:57 EDT
Moving upstream
Comment 2 Richard W.M. Jones 2009-05-27 07:22:56 EDT
Think this should be fixed by:
http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=65ad55778b8cd8e948d59fd3624966018366c45f
Comment 3 Fedora Update System 2009-05-27 09:23:51 EDT
libguestfs-1.0.33-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.33-1.fc11
Comment 4 Fedora Update System 2009-05-29 02:04:01 EDT
libguestfs-1.0.36-1.fc11.2 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.36-1.fc11.2
Comment 5 Fedora Update System 2009-06-02 11:10:35 EDT
libguestfs-1.0.38-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.38-1.fc11
Comment 6 Fedora Update System 2009-06-04 11:39:52 EDT
libguestfs-1.0.41-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.41-1.fc11
Comment 7 Fedora Update System 2009-06-06 13:58:13 EDT
libguestfs-1.0.42-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.42-1.fc11
Comment 8 Fedora Update System 2009-06-23 05:15:39 EDT
libguestfs-1.0.51-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.51-1.fc11
Comment 9 Fedora Update System 2009-06-29 15:28:14 EDT
libguestfs-1.0.54-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.54-2.fc11
Comment 10 Fedora Update System 2009-07-02 19:27:02 EDT
libguestfs-1.0.55-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.55-1.fc11
Comment 11 Fedora Update System 2009-07-11 05:28:01 EDT
libguestfs-1.0.58-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.58-2.fc11
Comment 12 Fedora Update System 2009-07-11 13:13:23 EDT
libguestfs-1.0.54-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-19 06:28:41 EDT
libguestfs-1.0.58-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Richard W.M. Jones 2010-03-27 06:05:16 EDT
Long fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.